Body
Topup Wallet
Topup wallet API can be used to add money to the customer wallet. This API is applicable only for linked wallets.
Request
Response
API Endpoints
Production Link
POST
https://api.juspay.in/wallets/{wallet_id}/topup
Authorization Header
Basic Auth
*
String
Mandatory
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Parameters
amount
*
number
Required
Amount that has to be added to the wallet
topup_txn_id
*
string
Required
Merchant transaction id for topup request
return_url
string
A fully qualified URL such as https://shop.merchant.com/ to which the customer will be redirected after payment completion. This URL shouldn’t contain any query parameters. This URL takes higher precedence over the common return URL configured in your account settings.
200 : Success
Response Body
topup_txn_id
string
topup_sdj4kjr8
wallet_id
string
wlt_q23xzki3pazgtezo
status
string
PENDING
payment_url
string
https://api.juspay.in/wallets/topup/start/wtpup_g6kasufbfsre1ntb

